Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
State of MySQL in Gentoo?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo
View previous topic :: View next topic  
Author Message
ts77
Apprentice
Apprentice


Joined: 23 Mar 2003
Posts: 200
Location: Berlin, Germany

PostPosted: Tue Oct 13, 2009 8:20 am    Post subject: State of MySQL in Gentoo? Reply with quote

Hello folks,

I'm wondering, whats the current state of MySQL in Gentoo?

Current "GA" release is 5.1.39 but only older releases are available as beta (mysql-community).
No trace of MySQL-5.4.x or the like for testing. No idea either about how the new release model from mysql is coming along either.
Also there are some neat patchsets (percona, google, ourdelta ... ) out there and other storage engines (XtraDB ...).
Are there any plans to include stuff like that?

Whats planned for the mysql support in Gentoo?

If that question was answered anywhere already please point me to it.


Thanks,

thomas
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5282

PostPosted: Tue Oct 13, 2009 7:08 pm    Post subject: Reply with quote

I don't know the answer to that, but if you want the latest anything and it's not available in Portage, either there might be an overlay or you can compile it yourself. 8)
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.org
Back to top
View user's profile Send private message
desultory
Administrator
Administrator


Joined: 04 Nov 2005
Posts: 8029

PostPosted: Wed Oct 14, 2009 7:43 am    Post subject: Reply with quote

Like mysql-testing?
Back to top
View user's profile Send private message
ts77
Apprentice
Apprentice


Joined: 23 Mar 2003
Posts: 200
Location: Berlin, Germany

PostPosted: Wed Oct 14, 2009 10:13 am    Post subject: Reply with quote

desultory wrote:
Like mysql-testing?


which had its latest update 3 years ago?
Back to top
View user's profile Send private message
ts77
Apprentice
Apprentice


Joined: 23 Mar 2003
Posts: 200
Location: Berlin, Germany

PostPosted: Wed Oct 14, 2009 11:44 am    Post subject: Reply with quote

Looked a bit around at the bugtracker and made a blog post about what I found so far ...
http://ts77.wordpress.com/2009/10/14/mysql-in-gentoo/
Back to top
View user's profile Send private message
John R. Graham
Administrator
Administrator


Joined: 08 Mar 2005
Posts: 7882
Location: Somewhere over Atlanta, Georgia

PostPosted: Wed Oct 14, 2009 1:06 pm    Post subject: Reply with quote

Most Portage ebuilds are only a few dozen lines long. The mysql ebuild and its supporting eclasses are collectively over one thousand lines long. So, it's one of those packages with a complicated--and perhaps non-standard--build process. My only point is that it appears to be nontrivial to release a new version in Gentoo, especially on major releases.

- John
_________________
I can confirm that I have received between 0 and 999 National Security Letters.
Back to top
View user's profile Send private message
desultory
Administrator
Administrator


Joined: 04 Nov 2005
Posts: 8029

PostPosted: Thu Oct 15, 2009 7:03 am    Post subject: Reply with quote

ts77 wrote:
which had its latest update 3 years ago?
Which was rather the point, the only readily located public overlay which contains ebuilds for the packages in question does not contain any more recent ebuilds than tree.
Back to top
View user's profile Send private message
ts77
Apprentice
Apprentice


Joined: 23 Mar 2003
Posts: 200
Location: Berlin, Germany

PostPosted: Thu Oct 15, 2009 10:07 am    Post subject: Reply with quote

john_r_graham wrote:
Most Portage ebuilds are only a few dozen lines long. The mysql ebuild and its supporting eclasses are collectively over one thousand lines long. So, it's one of those packages with a complicated--and perhaps non-standard--build process. My only point is that it appears to be nontrivial to release a new version in Gentoo, especially on major releases.

- John


I didn't want to play down the work put in by the Gentoo maintainers. I was simply curious about the state of mysql in portage as the stable version is a bit oldish and the recent GA releases from mysql aren't even anywhere to be found in the tree. From reading the bugtracker comments I quoted its getting more clear to me why thats the way it is and that 5.1 will come in when its really stable.
Also the percona patches are included in the unstable mysql ebuilds in the tree so there is a way for that too.

desultory wrote:

Which was rather the point, the only readily located public overlay which contains ebuilds for the packages in question does not contain any more recent ebuilds than tree.


Sorry, I just misunderstood your reply.


Thanks,

thomas
Back to top
View user's profile Send private message
nmp0906
n00b
n00b


Joined: 31 Jan 2008
Posts: 71
Location: United States

PostPosted: Thu Nov 26, 2009 2:07 pm    Post subject: Reply with quote

Read through this bug and you will get an idea of the primary maintainer's position on MySQL builds:
http://bugs.gentoo.org/194561

Apparently, they don't pass the quality checks/testing done. However, I disagree in that these versions shouldn't even be added to the tree. They should, and ones that don't work should be masked or at least marked unstable. This way end users can test/use the latest versions at their own risk. This used to be what made Gentoo so great, the ability to use the bleeding edge/latest versions through keywords/unmasking. MySQL is in a rather poor state with regards to this.

Solution:
Code:
vi /etc/layman/layman.cfg

add overlay: http://ftp.mars.arge.at/pub/overlay/geos_one-overlay.xml
Code:
layman -L
layman -a go-mysql
echo "dev-db/mysql" >> /etc/portage/package.unmask
emerge -C virtual/mysql dev-db/mysql dev-db/mysql-init-scripts
emerge mysql


Also, you should probably add go-mysql as an eclass override:
Code:
# cat /etc/portage/repos.conf
[gentoo]
eclass-overrides = hardened-dev go-mysql


EDIT: Added the unmerging of mysql-init-scripts. These need to come from the overlay if you want them to work with 5.1.x
EDIT: Removed manual fetch. Mirrors have the source now it appears.


Last edited by nmp0906 on Thu Dec 03, 2009 5:50 pm; edited 1 time in total
Back to top
View user's profile Send private message
kos
n00b
n00b


Joined: 28 May 2003
Posts: 63
Location: Mountain View, CA

PostPosted: Thu Dec 03, 2009 4:45 pm    Post subject: Reply with quote

nmp0906: aclocal fails for me.

Code:

-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
CMake Error at CMakeLists.txt:18 (INCLUDE):
  include could not find load file:

    /var/tmp/portage/dev-db/mysql-5.1.41-r2/work/mysql/storage/innobase/storage/mysql_storage_engine.cmake


CMake Error at CMakeLists.txt:66 (MYSQL_STORAGE_ENGINE):
  Unknown CMake command "MYSQL_STORAGE_ENGINE".


CMake Warning (dev) in CMakeLists.txt:
  No cmake_minimum_required command is present.  A line of code such as

    cmake_minimum_required(VERSION 2.6)
 
  should be added at the top of the file.  The version specified may be lower
  if you wish to support older CMake versions for this project.  For more
  information run "cmake --help-policy CMP0000".
This warning is for project developers.  Use -Wno-dev to suppress it.

_________________
/KoS
Back to top
View user's profile Send private message
nmp0906
n00b
n00b


Joined: 31 Jan 2008
Posts: 71
Location: United States

PostPosted: Thu Dec 03, 2009 5:53 pm    Post subject: Reply with quote

I didn't even notice that in my upgrade to -r2. It appears to still compile and run fine. I'd imagine it would need to be reported to the overlay maintainer, whose contact info I don't know.
Back to top
View user's profile Send private message
himpierre
l33t
l33t


Joined: 31 Aug 2002
Posts: 840
Location: Berlin

PostPosted: Tue Dec 22, 2009 11:01 am    Post subject: Reply with quote

Does this still work for someone? Just tried to install 5.1.41 but the emerge process bumps out while patching.
Back to top
View user's profile Send private message
nmp0906
n00b
n00b


Joined: 31 Jan 2008
Posts: 71
Location: United States

PostPosted: Tue Dec 22, 2009 3:02 pm    Post subject: Reply with quote

No. I have -r2 installed, but it wants to downgrade to 5.1.41 and fails on patching. -r2 has been removed from the repo and I'm not sure why. Does anybody know how to contact this overlay maintainer?
Back to top
View user's profile Send private message
yngwin
Developer
Developer


Joined: 19 Dec 2002
Posts: 4398
Location: Suzhou, China

PostPosted: Tue Dec 22, 2009 10:03 pm    Post subject: Reply with quote

nmp0906 wrote:
However, I disagree in that these versions shouldn't even be added to the tree. They should, and ones that don't work should be masked or at least marked unstable. This way end users can test/use the latest versions at their own risk. This used to be what made Gentoo so great, the ability to use the bleeding edge/latest versions through keywords/unmasking. MySQL is in a rather poor state with regards to this.

So step up and help maintain mysql in portage.
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
nmp0906
n00b
n00b


Joined: 31 Jan 2008
Posts: 71
Location: United States

PostPosted: Wed Dec 23, 2009 5:09 pm    Post subject: Reply with quote

himpierre wrote:
Does this still work for someone? Just tried to install 5.1.41 but the emerge process bumps out while patching.

The overlay was just updated with what appears to be 5.1.41-r1 which compiles successfully for me.

yngwin wrote:
So step up and help maintain mysql in portage.

I would consider doing this, however as long as this overlay is maintained and usable, then all the ebuild work is done. Getting said work out of an overlay and into Portage unstable/masked is another issue altogether.
Back to top
View user's profile Send private message
Geos_One
Apprentice
Apprentice


Joined: 15 Sep 2005
Posts: 249
Location: Austria,Graz

PostPosted: Fri Jan 08, 2010 9:28 pm    Post subject: Reply with quote

nmp0906 wrote:
No. I have -r2 installed, but it wants to downgrade to 5.1.41 and fails on patching. -r2 has been removed from the repo and I'm not sure why. Does anybody know how to contact this overlay maintainer?


yes its me

thx
Mario
Back to top
View user's profile Send private message
robbat2
Developer
Developer


Joined: 19 Feb 2003
Posts: 69

PostPosted: Sat Jan 09, 2010 3:54 am    Post subject: Reply with quote

The official Gentoo MySQL overlay moved from SVN to Git. It's here:
http://git.overlays.gentoo.org/gitweb/?p=proj/mysql.git;a=summary

It will be in the main tree once we deal with some testsuite failures with upstream.
Back to top
View user's profile Send private message
ToeiRei
Veteran
Veteran


Joined: 03 Jan 2005
Posts: 1156
Location: Austria

PostPosted: Thu Feb 04, 2010 1:01 pm    Post subject: Reply with quote

Any news on 5.1 so far? Is it still that bad regarding mysql itself?

Rei
_________________
Blog | btrfs | Please stand by - The mailer daemon is busy burning your messages in hell...
Back to top
View user's profile Send private message
robbat2
Developer
Developer


Joined: 19 Feb 2003
Posts: 69

PostPosted: Thu Feb 04, 2010 8:20 pm    Post subject: Reply with quote

It's in the tree. Unmasking 2010/02/08, as per the -dev mailing list. Be prepared to revdep-rebuild.
Back to top
View user's profile Send private message
ToeiRei
Veteran
Veteran


Joined: 03 Jan 2005
Posts: 1156
Location: Austria

PostPosted: Thu Feb 04, 2010 8:50 pm    Post subject: Reply with quote

I manually unmasked today. It wasn't that scary at all. Just two packages rebuilt and we were rolling again.
_________________
Blog | btrfs | Please stand by - The mailer daemon is busy burning your messages in hell...
Back to top
View user's profile Send private message
Ivanich_
Tux's lil' helper
Tux's lil' helper


Joined: 10 Feb 2006
Posts: 100
Location: Ukraine, Odessa

PostPosted: Thu Feb 11, 2010 9:44 am    Post subject: Reply with quote

In my.cnf default-character-set=utf8, but there is no /usr/share/mysql/charsets/utf8.xml file, and maybe therefore akonadi in kde4.4 sometimes stop working with error
Code:
Database error: Cannot open database.
  Last driver error: "QMYSQL: Unable to connect"
  Last database error: "Can't initialize character set utf8 (path: /usr/share/mysql/charsets/)"
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum